Skip to main content
GET
/
models
List Models
curl --request GET \
  --url https://api.hedra.com/web-app/public/models \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.hedra.com/web-app/public/models"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.hedra.com/web-app/public/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "type": "<string>",
    "price_details": {
      "credit_cost": 123,
      "unit_scale": 123,
      "billing_unit": "<string>"
    },
    "aspect_ratios": [
      "<string>"
    ],
    "resolutions": [
      "<string>"
    ],
    "durations": [
      "<string>"
    ],
    "requires_start_frame": true,
    "requires_end_frame": true,
    "requires_audio_input": true,
    "requires_input_video": true,
    "requires_character_orientation": true,
    "max_duration_ms": 123,
    "custom_resolution": true,
    "pricing": {
      "base_cost": 123,
      "credits_per_second": 123,
      "modifiers": {}
    },
    "dimensions": {},
    "logo_url": "<string>",
    "premium": true,
    "display_order": 123
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

X-API-Key
string
header
required

Query Parameters

types
string[] | null

Response

Successful Response

id
string
required

ID of the model

name
string
required

Name of the model

description
string | null
required

Description of the model.

type
string
required

Type of generation the model applies to.

price_details
AIModelPrice · object
required

Pricing details of the model.

aspect_ratios
string[] | null

Aspect ratios the model supports.

resolutions
string[] | null

Resolutions the model supports.

durations
string[] | null

Durations the model supports.

requires_start_frame
boolean | null

Whether the model is conditioned by a start frame.

requires_end_frame
boolean | null

Whether the model is conditioned by an end frame.

requires_audio_input
boolean | null

Whether the model is conditioned by audio input.

requires_input_video
boolean | null

Whether the model requires video input (video-to-video).

requires_character_orientation
boolean | null

Whether the model requires character orientation (motion control).

max_duration_ms
integer | null

Maximum video duration in milliseconds. Only applies to audio-driven models.

custom_resolution
boolean | null

Whether the model supports custom resolution.

pricing
Pricing · object | null

Extensible pricing information with dimension modifiers for resolution, audio, etc.

dimensions
Dimensions · object | null

Width and height for each aspect_ratio and resolution tuple.

logo_url
string | null

URL of the model's logo in SVG format.

premium
boolean
default:true

Whether this is a premium model.

display_order
integer | null

Display order for UI sorting. Lower values appear first.